=== debian/changelog ===
ctfutils (9.2-5.1) unstable; urgency=low
  
  * Non-maintainer upload.
  [Sphinx Jiang]
   * Fix mips64(el) build: __mips64 and __LP64__ instead of __mips64_n64
     (Closes: #752059).

 -- YunQiang Su <syq@debian.org>  Fri, 10 Oct 2014 13:24:07 +0800

ctfutils (9.2-5) unstable; urgency=low

  * Add -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE to CFLAGS. Thanks
    Aaron M. Ucko. (Closes: #734782)

 -- Robert Millan <rmh@debian.org>  Fri, 10 Jan 2014 00:54:09 +0100

ctfutils (9.2-4) unstable; urgency=low

  * off64_t.diff: Fix off64_t typedef conflict.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 20:57:01 +0100

ctfutils (9.2-3) unstable; urgency=low

  * Bump freebsd-glue requirement to 0.2.16 to fix FTBFS on non-
    kFreeBSD.

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 15:17:11 +0100

ctfutils (9.2-2) unstable; urgency=low

  * Set Maintainer to debian-bsd.
  * Fetch source code securely (https) in get-orig-source.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Build-Depend on freebsd-glue >= 0.2.14 (for <sys/elf.h>).

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 01:35:18 +0100

ctfutils (9.2-1) unstable; urgency=low

  * Initial release.  (Closes: #729149)

 -- Robert Millan <rmh@debian.org>  Sat, 09 Nov 2013 17:07:06 +0100
