## ctfutils 10.3~svn297264

=== cddl/lib/libctf/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD$
+# $FreeBSD: releng/10.3/cddl/lib/libctf/Makefile 204597 2010-03-02 19:04:07Z uqs $
 
 .PATH:		${.CURDIR}/../../../cddl/contrib/opensolaris/common/ctf
 .PATH:		${.CURDIR}/../../../cddl/contrib/opensolaris/lib/libctf/common
