=== cddl/usr.bin/ctfdump/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD$
+# $FreeBSD: releng/10.3/cddl/usr.bin/ctfdump/Makefile 211187 2010-08-11 18:00:45Z rpaulo $
 
 .PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/tools/ctf/common
 .PATH: ${.CURDIR}/../../../cddl/contrib/opensolaris/tools/ctf/dump
