=== debian/changelog ===
ctfutils (10.3~svn297264-2) unstable; urgency=medium

  * Upload to unstable

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 28 May 2016 11:49:14 +0100

ctfutils (10.3~svn297264-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RELEASE
  * Refresh patches:
    - compat_opensolaris.diff
    - ulong_t.diff
  * Make get-orig-source tarball reproducible
  * Use XZ to compress orig source tarball
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).
  * Now using Standards-Version 3.9.8 (no changes needed)
  * Turn a "sou %s has too many values" error into a warning;
    encode only the first CTF_MAX_VLEN members.
  * Add myself to Uploaders

 -- Steven Chamberlain <steven@pyro.eu.org>  Sun, 10 Apr 2016 20:58:12 +0100
