=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
-Uploaders: Robert Millan <rmh@debian.org>
+Uploaders: Robert Millan <rmh@debian.org>,
+ Steven Chamberlain <steven@pyro.eu.org>,
 Build-Depends: debhelper (>= 7.0.50~),
  freebsd-buildutils (>= 9.0-5~),
  libbsd-dev (>= 0.3.0),
@@ -11,7 +12,7 @@
  libelf-freebsd-dev,
 Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/ctfutils/
 Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/ctfutils/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 
 Package: ctfutils
 Architecture: any
